Zum Inhalt springen
Anmelden Registrieren

Google Scholar Cite API

Rufen Sie formatierte Zitate für einen Google-Scholar-Artikel in mehreren Stilen ab, zusätzlich zu Exportlinks für BibTeX, EndNote, RefMan und RefWorks. Setzen Sie engine=google_scholar_cite und übergeben Sie die Zitations-ID des Artikels in q.

GET https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY
ParameterTypErforderlichBeschreibung
api_keystringjaIhr SERP-API-Schlüssel
enginestringjaMuss google_scholar_cite sein
qstringjaDie Google-Scholar-Zitations-ID
Terminal-Fenster
curl "https://serp.shifter.io/v1?engine=google_scholar_cite&api_key=YOUR_API_KEY&q=FDc6HiktlqEJ"
{
"search_parameters": {
"engine": "google_scholar_cite",
"google_domain": "scholar.google.com",
"device": "desktop",
"query": "FDc6HiktlqEJ"
},
"citations": [
{
"title": "MLA",
"snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438."
},
{
"title": "APA",
"snippet": "Schwertmann, U. T. R. M., & Taylor, R. M. (1989). Iron oxides. Minerals in soil environments, 1, 379-438."
},
{
"title": "Chicago",
"snippet": "Schwertmann, U. T. R. M., and Reginald M. Taylor. \"Iron oxides.\" Minerals in soil environments 1 (1989): 379-438."
}
],
"links": [
{ "name": "BibTeX", "link": "https://scholar.googleusercontent.com/scholar.bib?..." },
{ "name": "EndNote", "link": "https://scholar.googleusercontent.com/scholar.enw?..." },
{ "name": "RefMan", "link": "https://scholar.googleusercontent.com/scholar.ris?..." },
{ "name": "RefWorks", "link": "https://scholar.googleusercontent.com/scholar.rfw?..." }
]
}